Page MenuHomePhabricator

Expire pending database entries at some point
Closed, ResolvedPublic1 Story Points

Description

The exact expiry time is almost worth its own sprint... @MBeat33 is saying that he's able to review most status 600s within 2 days or so, but during the Big English crunch, more like a week. Not sure how that translates into expiry.

Event Timeline

awight created this task.Aug 25 2016, 10:14 PM
awight renamed this task from Expire pending database entries after a day or so to Expire pending database entries at some point.Aug 25 2016, 10:20 PM
awight updated the task description. (Show Details)
awight added a subscriber: MBeat33.
DStrine removed awight as the assignee of this task.Jun 22 2017, 9:05 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:33 PM
Ejegg added a subscriber: Ejegg.Jul 25 2017, 6:10 PM

We're now expiring them in the expire_pending_messages job

Adyen: 31 days
Amazon: 31 days
AstroPay: 60 days
GlobalCollect: 14 days
PayPal: 14 days

Ejegg closed this task as Resolved.Jul 25 2017, 6:10 PM